Tp::BaseCallMuteInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Signals | Public Member Functions | Static Public Member Functions | List of all members
Tp::BaseCallMuteInterface Class Reference
Connection manager service implementation

Base class for implementations of Call.Interface.Mute. More...

`#include <TelepathyQt/BaseCall>`

Inherits Tp::AbstractChannelInterface.

## Public Types
typedef Callback2< void, const Tp::LocalMuteState &, DBusError * > | SetMuteStateCallback

## Signals
void | muteStateChanged (const Tp::LocalMuteState &state)
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Public Member Functions
virtual | ~BaseCallMuteInterface ()
QVariantMap | immutableProperties () const
Tp::LocalMuteState | localMuteState () const
void | setMuteState (const Tp::LocalMuteState &state)
void | setSetMuteStateCallback (const SetMuteStateCallback &cb)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseCallMuteInterfacePtr | create ()
template<typename BaseCallMuteInterfaceSubclass >
static SharedPtr < BaseCallMuteInterfaceSubclass > | create ()

## Additional Inherited Members
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Detailed Description

Base class for implementations of Call.Interface.Mute.

## Member Typedef Documentation

typedef Callback2<void, const Tp::LocalMuteState&, DBusError*> Tp::BaseCallMuteInterface::SetMuteStateCallback

## Constructor & Destructor Documentation

Tp::BaseCallMuteInterface::~BaseCallMuteInterface | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

static BaseCallMuteInterfacePtr Tp::BaseCallMuteInterface::create | ( |  | ) |
| inlinestatic

template<typename BaseCallMuteInterfaceSubclass >

static SharedPtr<BaseCallMuteInterfaceSubclass> Tp::BaseCallMuteInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseCallMuteInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

Tp::LocalMuteState Tp::BaseCallMuteInterface::localMuteState | ( |  | ) | const

void Tp::BaseCallMuteInterface::setMuteState | ( | const Tp::LocalMuteState & | state | ) |

void Tp::BaseCallMuteInterface::setSetMuteStateCallback | ( | const SetMuteStateCallback & | cb | ) |

void Tp::BaseCallMuteInterface::muteStateChanged | ( | const Tp::LocalMuteState & | state | ) |
| signal